## qmtest 2.4.1

=== templates/Makefile ===
######################################################### -*-Makefile-*-
#
# File:   Makefile (template)
# Author: Fill me in!
# Date:   YYYY-MM-DD
#
# Contents:
#   Fill me in!
# 
# Copyright (C) 2004 CodeSourcery LLC
#
# For license terms see the file COPYING.
#
########################################################################
