=== debian/changelog ===
qmtest (2.4.1-3) unstable; urgency=low

  * QA upload.
  * Switch to "3.0 (quilt)" source format.
  * Changes by Logan Rosen from Ubuntu:
  * debian/rules:
    - Remove legacy DH_COMPAT export. Closes: #800272.
    - Use dh_prep instead of dh_clean -k.
  * debian/compat: Change compatibility level to 9.
  * debian/control: Build-depend on debhelper (>= 9).

 -- Santiago Vila <sanvila@debian.org>  Thu, 07 Apr 2016 10:43:56 +0200

qmtest (2.4.1-2) unstable; urgency=low

  * QA upload.
  * Orphan the package.
  * Fix some lintian warnings.
  * Build using dh_python2. Closes: #617049.
  * Use TypeError instead of string exceptions. Closes: #585346.
  * Avoid exception when calling os.setpgid during "qmtest run -j < n>1 >"
    Closes: #507674.
  * Remove debian/watch. Not available anymore on the CodeSourcery site.

 -- Matthias Klose <doko@debian.org>  Sat, 26 Jan 2013 16:46:18 +0100

qmtest (2.4.1-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Thu, 19 Mar 2009 19:25:21 +0100

qmtest (2.4-5) unstable; urgency=low

  * Remove python-extclass as a dependency as well.

 -- Matthias Klose <doko@debian.org>  Sun, 23 Nov 2008 14:11:43 +0100

qmtest (2.4-4) unstable; urgency=low

  * Drop build dependeny on python-extclass (optional).

 -- Matthias Klose <doko@debian.org>  Sun, 23 Nov 2008 14:05:55 +0100

qmtest (2.4-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Actually remove python-happydoc from Build-Depends. Closes: #500483.

 -- Chris Lamb <lamby@debian.org>  Thu, 02 Oct 2008 16:02:30 +0100

qmtest (2.4-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove python-happydoc from Build-Depends. Closes: #497703.

 -- Chris Lamb <lamby@debian.org>  Wed, 01 Oct 2008 09:41:45 +0100

qmtest (2.4-3) unstable; urgency=low

  * Do not use the install root when assembling the extension path
    for the config.py file.
  * Don't hardcode the python version in the config file.

 -- Matthias Klose <doko@debian.org>  Sun, 23 Mar 2008 16:51:19 +0100

qmtest (2.4-2) unstable; urgency=low

  * Update watch file. Closes: #450075.

 -- Matthias Klose <doko@debian.org>  Fri, 21 Mar 2008 21:34:52 +0100

qmtest (2.4-1) unstable; urgency=low

  * New upstream version.
  * Drop the qm package; just package as qmtest.
  * Remove (build)-dependency on python-xml. Closes: #468611, #468636.

 -- Matthias Klose <doko@debian.org>  Fri, 21 Mar 2008 16:34:55 +0100

qm (2.3-4) unstable; urgency=low

  * qm: Install the debian changelog. Closes: #393581.

 -- Matthias Klose <doko@debian.org>  Wed, 18 Oct 2006 22:07:38 +0200

qm (2.3-3) unstable; urgency=low

  * Build-depend on python-all-dev instead of python-dev, building the
    extension for all supported python versions. Closes: #374208, #374262.

 -- Matthias Klose <doko@debian.org>  Sun, 18 Jun 2006 09:29:36 +0000

qm (2.3-2) unstable; urgency=low

  * Convert to updated Python policy. Closes: #373376.

 -- Matthias Klose <doko@debian.org>  Sat, 17 Jun 2006 02:59:32 +0200

qm (2.3-1) unstable; urgency=low

  * New upstream version.
  * Split binary-arch package python-sigmask.

 -- Matthias Klose <doko@debian.org>  Wed, 17 Aug 2005 21:17:26 +0200

qm (2.2-4) unstable; urgency=medium

  * Accept jade and openjade to build the documentation (closes: #278424).

 -- Matthias Klose <doko@debian.org>  Wed, 27 Oct 2004 23:23:03 +0200

qm (2.2-3) unstable; urgency=high

  * Remove the qm-sigmask package, include the module into the qm package,
    make it architecture any (closes: #262654).

 -- Matthias Klose <doko@debian.org>  Sun, 15 Aug 2004 14:02:01 +0200

qm (2.2-2) unstable; urgency=low

  * Separate out binary modules into new qm-sigmask package (closes: #262654).

 -- Matthias Klose <doko@debian.org>  Sun,  1 Aug 2004 14:38:26 +0200

qm (2.2-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sun, 25 Jul 2004 23:47:38 +0200

qm (2.1.2-3) unstable; urgency=medium

  * Fix typo in debian/rules (closes: #246796).

 -- Matthias Klose <doko@debian.org>  Sat,  1 May 2004 11:45:32 +0200

qm (2.1.2-2) unstable; urgency=low

  * Fix location of the qmtest manual (closes: #242307).
  * Remove documentation of --verbose from man page.

 -- Matthias Klose <doko@debian.org>  Sun, 25 Apr 2004 13:23:43 +0200

qm (2.1.2-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sat, 28 Feb 2004 12:01:53 +0100

qm (2.1-2) unstable; urgency=low

  * Add docbook-xml as a build dependency (closes: #233149).

 -- Matthias Klose <doko@debian.org>  Tue, 17 Feb 2004 23:33:57 +0100

qm (2.1-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Tue, 10 Feb 2004 07:35:25 +0100

qm (2.0.3-4) unstable; urgency=low

  * Update package description (closes: #217145).
  * Add qmtest(1) manpage.

 -- Matthias Klose <doko@debian.org>  Sun,  2 Nov 2003 23:42:45 +0100

qm (2.0.3-3) unstable; urgency=low

  * Use python 2.3.

 -- Matthias Klose <doko@debian.org>  Sun, 17 Aug 2003 12:44:42 +0200

qm (2.0.3-2) unstable; urgency=low

  * Fix python version in postinst script (closes: #183219).

 -- Matthias Klose <doko@debian.org>  Tue,  4 Mar 2003 00:49:17 +0100

qm (2.0.3-1) unstable; urgency=low

  * New upstream release.

 -- Matthias Klose <doko@debian.org>  Tue, 25 Feb 2003 12:01:39 +0100

qm (2.0.2-1) unstable; urgency=low

  * New upstream release.

 -- Matthias Klose <doko@debian.org>  Sat, 18 Jan 2003 09:56:46 +0100

qm (2.0.1-1) unstable; urgency=low

  * New upstream release (closes: #173069).
  * Fix typo (closes: #172571).
  * Fix locatation of tutorial files (closes: #172548).
  * Compilation warnings don't show up anymore with python2.2.
    Closes: #137505, #147391.

 -- Matthias Klose <doko@debian.org>  Fri, 27 Dec 2002 11:34:39 +0100

qm (1.1.5-2) unstable; urgency=low

  * Use the python default version (v2.2.1).
    Closes: #159266.

 -- Matthias Klose <doko@debian.org>  Tue, 27 Aug 2002 22:52:15 +0200


