=== debian/control ===
Source: qmtest
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9), python-all-dev (>= 2.4), jadetex, tidy, docbook-dsssl, sgml-data, docbook-xml
Standards-Version: 3.9.4

Package: qmtest
Architecture: all
Depends: ${python:Depends}, python-sigmask (>= ${source:Version}), ${misc:Depends}
Conflicts: qm (<< 2.4)
Replaces: qm (<< 2.4)
XB-Python-Version: ${python:Versions}
Description: Testing Framework (part of the Quality Management Toolset (QM))
 CodeSourcery's QMTest provides a cost-effective general purpose
 testing solution that allows an organization to implement a robust,
 easy-to-use testing program tailored to its needs. QMTest works with
 most varieties of UNIX, including GNU/Linux, and with Microsoft
 Windows.
 .
 QMTest's extensible architecture allows it to handle a wide range of
 application domains: everything from compilers to graphical user
 interfaces to web-based applications.

Package: python-sigmask
Architecture: any
Section: python
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: module for saving and restoring the signal mask
 Simple Python support for saving and restoring the signal mask.
